Skip to main content
PUT
/
twoFA
/
changeTwoFa
/
{customerId}
Change 2FA credentials
curl --request PUT \
  --url https://gateway.varchev.com/customer/twoFA/changeTwoFa/{customerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'tenantId: <tenantid>' \
  --data '
{
  "login": true,
  "trading": true,
  "funding": true,
  "customerId": "<string>"
}
'
{
  "id": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "tenantId": "<string>",
  "login": true,
  "trading": true,
  "funding": true,
  "userId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

tenantId
string
required

Tenant/Owner id

Path Parameters

customerId
string
required

Body

application/json
login
boolean
trading
boolean
funding
boolean
customerId
string

Response

Change 2FA Response

id
string
createdAt
string
updatedAt
string
tenantId
string
login
boolean
trading
boolean
funding
boolean
userId
string